Summary: generate amavis scan statistics from logfiles
 
%define web_user        apache
%define web_group       apache
 
%define amavis_user     amavis
%define amavis_group    amavis
 
Name: amavis-stats
Version: 0.1.12
Release: 1
Copyright: GPL
Group: Applications/System 
Packager: Andrew Koros
URL: http://rekudos.net/amavis-stats/
Source: http://rekudos.net/download/amavis-stats-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Requires: httpd >= 2.0.40, amavisd-new, php, rrdtool
 
%description
amavis-stats is a simple AMaViS statistics generator based on rrdtool.
It produces graphs of clean emails, spam emails and infected emails
broken down by virus, from amavis log entries. RRD files are created
and updated by a perl script run from cron. Graphs are generated by a
php script and viewed with a web browser.
 
%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
 
%build
%configure \
        --with-amavis-user=%{amavis_user} \
        --with-amavis-group=%{amavis_group} \
        --with-web-user=%{web_user} \
        --with-web-group=%{web_group}
make
 
%install
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/usr/share/amavis-stats
install -d $RPM_BUILD_ROOT/etc/amavis-stats
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d  $RPM_BUILD_ROOT/var/cache/amavis-stats
install -c -m 755 amavis-stats $RPM_BUILD_ROOT/usr/sbin
install -c -m 644 amavis-stats.php $RPM_BUILD_ROOT/usr/share/amavis-stats
install -c -m 644 amavis-stats.1 $RPM_BUILD_ROOT%{_mandir}/man1
#
install -d $RPM_BUILD_ROOT/etc/cron.d
install -d $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m644 redhat/amavis-stats.cron.d $RPM_BUILD_ROOT/etc/cron.d/amavis-stats
 
sed -e 's!^<Directory \+\(.*\)>!<Directory /usr/share/amavis-stats/>!' \
apache.conf > DATADIR.conf
mv DATADIR.conf apache.conf
 
install -m644 apache.conf $RPM_BUILD_ROOT/etc/httpd/conf.d/amavis-stats.conf
install -d $RPM_BUILD_ROOT/var/lib/amavis-stats
install -d $RPM_BUILD_ROOT/var/lock
touch $RPM_BUILD_ROOT/var/lock/amavis-stats
 
cd $RPM_BUILD_ROOT/usr/share/amavis-stats
ln -s ../../../var/cache/amavis-stats img
cd $RPM_BUILD_ROOT/usr/share/amavis-stats && ln -s amavis-stats.php index.php
 
rm -rf $RPM_BUILD_ROOT/etc/amavis-stats
rm -f $RPM_BUILD_ROOT/etc/apache.conf
rm -f $RPM_BUILD_ROOT%{_mandir}/amavis-stats.1
rm -f $RPM_BUILD_ROOT/usr/share/amavis-stats.php
 
%clean
rm -rf $RPM_BUILD_ROOT
 
%pre
# This is the package pre-install script
if [ `cat /etc/passwd |awk -F : '{print $1}' |grep -ixc "%{amavis_user}"` -eq 0 ]; then
        /usr/sbin/useradd %{amavis_user}
fi
                                                                                                                                             
%post
# This is the package post-install script
chown %{web_user}:%{web_group} /var/cache/amavis-stats
chown %{amavis_user} /var/lock/amavis-stats
chown %{amavis_user}:%{amavis_group} /var/lib/amavis-stats
chgrp %{amavis_group} /var/log/maillog
chmod 770 /var/log/maillog
 
/sbin/service httpd reload
 
%files
%defattr(-,root,root)
%doc README debian/changelog
%{_sbindir}/amavis-stats
%{_mandir}/man1/*
/usr/share/amavis-stats
/var/cache/amavis-stats
/var/lib/amavis-stats
/var/lock/amavis-stats
/etc/cron.d/amavis-stats
/etc/httpd/conf.d/*
 
%changelog
* Thu Apr 14 2004 Andrew Koros
- Built under RedHat's Fedora Core 1
